/* definitions that are used in multiple source files */

#ifndef _COMMON_H
#define _COMMON_H

#include <sys/types.h>

#define MAXLINE 1024
#define MAXADDR 512
#define SERVER "localhost"
#define SERV_PORT 8999
#define GLOG_FILE "getnet.log"
#define DUMP_FILE "dump"
#define NLOG_FILE "netserv.log"
#define TIMEOUT 5
#define U_TIMEOUT 0
#define UPDATE_TIME 3600

struct hostinfo { 
  char addr[MAXADDR];
  time_t time;
  int num_points;
  struct hostinfo *nexthost;
};

struct list {
  int num;
  time_t ctime;
  struct list *next;
};

#endif
